.. _ports:

Ports
-----

.. automodule:: openEMS.ports

    Port (Base Class)
    -----------------
    .. autoclass:: Port
        :members:
        :show-inheritance:

    Lumped Port
    -----------
    .. autoclass:: LumpedPort
        :members:
        :show-inheritance:

    MSL Port
    --------
    .. autoclass:: MSLPort
        :members:
        :show-inheritance:

    Waveguide Port
    --------------
    .. autoclass:: WaveguidePort
        :members:
        :show-inheritance:

    Rect Waveguide Port
    -------------------
    .. autoclass:: RectWGPort
        :members:
        :show-inheritance:

